from api.DBRepoClient import DBRepoClient
from api.VAMAS import VAMASExperiment
from dotenv import load_dotenv

load_dotenv()

client = DBRepoClient(endpoint="https://dbrepo1.ec.tuwien.ac.at", username="mweise", password="V0f38ad2!")

database_id = 27

table_block_id = 426
table_experiment_id = 427
table_block_additional_numerical_parameters_id = 428
table_block_corresponding_variables_id = 429
table_block_future_update_id = 430
table_block_min_max_id = 431
table_block_ordinate_id = 432
table_block_values_experimental_variables_id = 433
table_experiment_future_upgrades_id = 434
table_experiment_inclusion_exclusion_id = 435
table_experiment_prefix_id = 436
table_experiment_variables_id = 437

files = ['spe/2024_03_11_aic_vacuumsuitcase tests_111_1_au sputter_20240311_122546.vms']

for file in files:
    data = VAMASExperiment(filename=file)
    experiment_id = client.insert_experiment_data(database_id, table_experiment_id, data)
    client.insert_experiment_variables(database_id, table_experiment_variables_id, experiment_id, data)
    client.insert_experiment_parameter_inclusion_or_exclusion_prefix_numbers(database_id,
                                                                             table_experiment_inclusion_exclusion_id,
                                                                             experiment_id, data)
    client.insert_experiment_prefix_numbers_of_manually_entered_items(database_id, table_experiment_prefix_id,
                                                                      experiment_id, data)
    client.insert_experiment_future_upgrade_experiment_entries(database_id, table_experiment_future_upgrades_id,
                                                               experiment_id, data)
    for block in data.blocks:
        block_id = block.block_identifier
        client.insert_block_data(database_id, table_block_id, experiment_id, block)
        client.insert_block_values_of_experimental_variables(database_id, table_block_values_experimental_variables_id,
                                                             block_id, block)
        client.insert_block_corresponding_variables(database_id, table_block_corresponding_variables_id, block_id,
                                                    block)
        client.insert_block_additional_numerical_parameters(database_id, table_block_additional_numerical_parameters_id,
                                                            block_id, block)
        client.insert_block_future_update_block_entries(database_id, table_block_future_update_id, block_id, block)
        client.insert_block_min_max_ordinate_values(database_id, table_block_min_max_id, block_id, block)
        client.insert_block_ordinate_values(database_id, table_block_ordinate_id, block_id, block)
